Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(33)

Issue 335423002: Add @@iterator support for strings (Closed)

Created:
5 years, 1 month ago by wingo
Modified:
5 years ago
CC:
v8-dev, arv (Not doing code reviews)
Visibility:
Public.

Description

Add @@iterator support for strings R=rossberg@chromium.org BUG= Committed: https://code.google.com/p/v8/source/detail?r=21994

Patch Set 1 #

Total comments: 4

Patch Set 2 : Fixed @@iterator property attributes #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+203 lines, -2 lines) Patch
M src/bootstrapper.cc View 1 chunk +1 line, -0 lines 0 comments Download
A src/string-iterator.js View 1 1 chunk +106 lines, -0 lines 0 comments Download
M test/mjsunit/harmony/iteration-semantics.js View 1 chunk +1 line, -1 line 0 comments Download
A test/mjsunit/harmony/string-iterator.js View 1 chunk +93 lines, -0 lines 1 comment Download
M tools/generate-runtime-tests.py View 1 chunk +1 line, -1 line 0 comments Download
M tools/gyp/v8.gyp View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 5 (0 generated)
wingo
5 years, 1 month ago (2014-06-17 12:56:54 UTC) #1
arv (Not doing code reviews)
FYI https://codereview.chromium.org/335423002/diff/1/src/string-iterator.js File src/string-iterator.js (right): https://codereview.chromium.org/335423002/diff/1/src/string-iterator.js#newcode33 src/string-iterator.js:33: return this; wrong indentation https://codereview.chromium.org/335423002/diff/1/src/string-iterator.js#newcode104 src/string-iterator.js:104: DONT_ENUM | ...
5 years, 1 month ago (2014-06-17 15:33:19 UTC) #2
wingo
Fixed nits, thanks Erik. https://codereview.chromium.org/335423002/diff/1/src/string-iterator.js File src/string-iterator.js (right): https://codereview.chromium.org/335423002/diff/1/src/string-iterator.js#newcode33 src/string-iterator.js:33: return this; On 2014/06/17 15:33:19, ...
5 years, 1 month ago (2014-06-18 08:34:07 UTC) #3
rossberg
LGTM https://codereview.chromium.org/335423002/diff/20001/test/mjsunit/harmony/string-iterator.js File test/mjsunit/harmony/string-iterator.js (right): https://codereview.chromium.org/335423002/diff/20001/test/mjsunit/harmony/string-iterator.js#newcode90 test/mjsunit/harmony/string-iterator.js:90: object.next(); Nit: fits on one line
5 years, 1 month ago (2014-06-18 09:33:19 UTC) #4
wingo
5 years ago (2014-06-25 07:43:42 UTC) #5
Message was sent while issue was closed.
Committed patchset #2 manually as r21994 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698